FreeMat

- Main Page
- Related Pages

vtkXGPUInfoList

Section: Visualization Toolkit Rendering Classes

# Usage

vtkXGPUInfoList implements Probe() method of vtkGPUInfoList through some X server extensions API. NV-CONTROL for Nvidia. ATIFGLEXTENSION for ATI is not supported yet. There is no support for other vendors.

To create an instance of class vtkXGPUInfoList, simply invoke its constructor as follows

      obj = vtkXGPUInfoList

# Methods

The class vtkXGPUInfoList has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXGPUInfoList class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXGPUInfoList = obj.NewInstance ()`
- `vtkXGPUInfoList = obj.SafeDownCast (vtkObject o)`
- `obj.Probe ()` - Build the list of vtkInfoGPU if not done yet.
  Postcondition:
    probed: IsProbed()